curl --request POST \
--url https://api.hubapi.com/integrators/timeline/v3/events/batch/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
{
"eventTemplateId": "<string>",
"id": "<string>",
"tokens": {},
"customObjectTypeId": "<string>",
"domain": "<string>",
"email": "<string>",
"extraData": {},
"objectId": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"utk": "<string>"
}
]
}
'import requests
url = "https://api.hubapi.com/integrators/timeline/v3/events/batch/create"
payload = { "inputs": [
{
"eventTemplateId": "<string>",
"id": "<string>",
"tokens": {},
"customObjectTypeId": "<string>",
"domain": "<string>",
"email": "<string>",
"extraData": {},
"objectId": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"utk": "<string>"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
inputs: [
{
eventTemplateId: '<string>',
id: '<string>',
tokens: {},
customObjectTypeId: '<string>',
domain: '<string>',
email: '<string>',
extraData: {},
objectId: '<string>',
timestamp: '2023-11-07T05:31:56Z',
utk: '<string>'
}
]
})
};
fetch('https://api.hubapi.com/integrators/timeline/v3/events/batch/create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"eventTemplateId": "<string>",
"id": "<string>",
"objectType": "<string>",
"tokens": {},
"createdAt": "2023-11-07T05:31:56Z",
"customObjectTypeId": "<string>",
"domain": "<string>",
"email": "<string>",
"extraData": {},
"objectId": "<string>",
"timelineIFrame": {
"headerLabel": "<string>",
"height": 123,
"linkLabel": "<string>",
"url": "<string>",
"width": 123
},
"timestamp": "2023-11-07T05:31:56Z",
"utk": "<string>"
}
],
"startedAt": "2023-11-07T05:31:56Z",
"links": {},
"requestedAt": "2023-11-07T05:31:56Z"
}{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"eventTemplateId": "<string>",
"id": "<string>",
"objectType": "<string>",
"tokens": {},
"createdAt": "2023-11-07T05:31:56Z",
"customObjectTypeId": "<string>",
"domain": "<string>",
"email": "<string>",
"extraData": {},
"objectId": "<string>",
"timelineIFrame": {
"headerLabel": "<string>",
"height": 123,
"linkLabel": "<string>",
"url": "<string>",
"width": 123
},
"timestamp": "2023-11-07T05:31:56Z",
"utk": "<string>"
}
],
"startedAt": "2023-11-07T05:31:56Z",
"errors": [
{
"category": "<string>",
"context": {},
"errors": [
{
"message": "<string>",
"code": "<string>",
"context": "{missingScopes=[scope1, scope2]}",
"in": "<string>",
"subCategory": "<string>"
}
],
"links": {},
"message": "<string>",
"status": "<string>",
"id": "<string>",
"subCategory": {}
}
],
"links": {},
"numErrors": 123,
"requestedAt": "2023-11-07T05:31:56Z"
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Create multiple events
Créer par lots plusieurs instances d’événements de chronologie à partir d’un modèle d’événement. Une fois créés, ces événements sont immuables dans la chronologie de l’objet et ne peuvent pas être modifiés. Si le modèle d’événement a été configuré pour mettre à jour les propriétés de l’objet via « objectPropertyName », cet appel tentera également de mettre à jour ces propriétés ou de les ajouter si elles n’existent pas.
Supported products
Supported products
Required Scopes
Required Scopes
Autorisations
The access token received from the authorization server in the OAuth 2.0 flow.
Corps
Une collection d'événements de la chronologie que nous voulons créer.
Show child attributes
Show child attributes
Réponse
successful operation
L'heure à laquelle la demande a été complétée.
Événements correctement créés.
Show child attributes
Show child attributes
L'heure à laquelle la demande a commencé à être traitée.
Le statut de la réponse en lot. Doit toujours être TERMINÉ si traitée.
CANCELED, COMPLETE, PENDING, PROCESSING Tout lien vers la documentation.
Show child attributes
Show child attributes
L'heure à laquelle la demande a été produite.